Bug 1122809 - Show improper message in the output after update the cartridge parameters via REST API
Summary: Show improper message in the output after update the cartridge parameters via...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Master
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Lili Nader
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-24 07:09 UTC by Meng Bo
Modified: 2015-05-15 00:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-10 00:49:35 UTC


Attachments (Terms of Use)

Description Meng Bo 2014-07-24 07:09:56 UTC
Description of problem:
Update the app cartridge parameters via REST API, it will return the message like: 
<text>Showing cartridge jbosseap-6 for application jbeap1s under domain bmengdev</text>

eg:
/applications/53d0d8d0cfde9b7ea6000180/cartridges/jbosseap-6 -XPUT -d scales_to=5
/applications/53d0d8d0cfde9b7ea6000180/cartridges/jbosseap-6 -XPUT -d scales_from=2
/applications/53d0d8d0cfde9b7ea6000180/cartridges/jbosseap-6 -XPUT -d additional_gear_storage=5

Version-Release number of selected component (if applicable):
devenv_5003

How reproducible:
always

Steps to Reproduce:
1. Create app in the domain
2. Update the cartridge parameter via REST API
additional_gear_storage | scales_to | scales_from
3.

Actual results:
It will always return the improper message for the update operation.
<text>Showing cartridge jbosseap-6 for application jbeap1s under domain bmengdev</text>

Expected results:
Should return the correct message about what did the user do. 
Or at least change the "Showing" to something like "Updated" after update action.

Additional info:

Comment 3 Meng Bo 2014-07-30 02:23:34 UTC
Issue fixed on devenv_5027,

    <message>
      <severity>info</severity>
      <text>Updated cartridge php-5.4 for application app1s under domain bmeng</text>
      <exit-code>0</exit-code>
      <field nil="true"></field>
      <index nil="true"></index>
    </message>


Note You need to log in before you can comment on or make changes to this bug.